import axios from "../../utils/axios";


export function filterProducts(query) {
    return axios({
        url: "/spms/inv/products/filter",
        method: "get",
        params: query
    });
}

export function filterDetailProducts(query) {
    return axios({
        url: "/spms/inv/products/filterDetail",
        method: "get",
        params: query
    });
}

export function deleteProducts(query) {
    return axios(
        {
            url: "/spms/inv/products/delete",
            method: "post",
            data: query
        }
    )
}

export function getPlacementDetailList(params) {
    return axios({
        url: "spms/inv/products/getPlacementDetailList",
        method: "get",
        params: params
    });
}

export function bindInvSpace(data) {
    return axios({
        url: "spms/inv/products/bindInvSpace",
        method: "post",
        data: data
    });
}

export function checkCodeSpace(data) {
    return axios({
        url: "spms/inv/products/checkCodeSpace",
        method: "post",
        data: data
    });
}

export function getCountInvProductProduct(params) {
    return axios({
        url: "spms/inv/products/getCountInvProduct",
        method: "get",
        params: params
    });
}

export function getMAInvProducts(params) {
    return axios({
        url: "spms/inv/products/getMAInvProducts",
        method: "get",
        params: params
    });
}

